/*
 * This file is a component of thundr, a software library from 3wks.
 * Read more: http://www.3wks.com.au/thundr
 * Copyright (C) 2013 3wks, <thundr@3wks.com.au>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.threewks.thundr.mailgun;

import java.util.ArrayList;
import java.util.List;

public class Log {
	public int total_count;
	public List<LogItem> items = new ArrayList<Log.LogItem>();

	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		for (LogItem logItem : items) {
			sb.append(logItem);
			sb.append("\n");
		}
		return sb.toString();
	}

	public static class LogItem {
		public String hap;
		public String created_at;
		public String type;
		public String message;
		public String message_id;

		@Override
		public String toString() {
			return String.format("%s %s %s - %s: %s", type, created_at, hap, message_id, message);
		}
	}
}
